RMagick installation

From Kolmisoft Wiki

Jump to: navigation, search
RMagick is not used anymore in MOR starting from version 0.6

RMagick is responsible for drawing Graphs.

RMagick should be installed with install script. This is just the steps from this script to install it manually if installation by script failed.

Contents

[edit] Installation

[edit] Debian

apt-get -y install imagemagick libmagick9-dev libfreetype6 libfreetype6-dev
cd /usr/src
wget http://www.kolmisoft.com/files/packages/rmagick-1.13.0.gem
gem install rmagick-1.13.0.gem

[edit] Centos 4

yum -y --enablerepo=c4-testing install ImageMagick ImageMagick-devel freetype freetype-devel
cd /usr/src
wget http://www.kolmisoft.com/files/packages/rmagick-1.13.0.gem
gem install rmagick-1.13.0.gem
#copy missing fonts
cp --reply=yes -r /usr/src/mor/centos/TrueType /usr/share/fonts/default

[edit] Centos 5/Fedora

yum -y install ImageMagick ImageMagick-devel freetype freetype-devel
cd /usr/src
wget http://www.kolmisoft.com/files/packages/rmagick-1.13.0.gem
gem install rmagick-1.13.0.gem
#copy missing fonts
cp --reply=yes -r /usr/src/mor/centos/TrueType /usr/share/fonts/default

[edit] Errors

[edit] Can't find libMagick or one of the dependent libraries

After

gem install rmagick-1.13.0.gem 

we get:

configure: error: Can't install RMagick. Can't find libMagick or one of the dependent libraries.
                 Check the config.log file for more detailed information.
ERROR:  Error installing gem rmagick-1.13.0.gem[.gem]: ERROR: Failed to build gem native extension.

Info: http://rmagick.rubyforge.org/install-faq.html#libmagick

[edit] Solution (included into install script)

apt-get install libfreetype6 libfreetype6-dev
yum install freetype freetype-devel

After successful installation should be:

Successfully installed rmagick, version 1.13.0
Personal tools

Try MOR

Try M2